Subject: bug#22181: endless loop in grep 2.22

From: Jim Meyering <[email-masked]>
Date: Thu, 7 Jan 2016 21:47:49 -0800

On Wed, Jan 6, 2016 at 10:46 PM, Paul Eggert <[email-masked]> wrote:
> Thanks to everyone who reported and fixed this bug. I looked over the fix
> and this inspired me to improve on it. I installed the attached patch, which
> doesn't fix any functionality bugs, but does improve performance
> significantly in some cases.

Thanks for all your work.
I've just noticed a test failure on debian unstable systems. Doesn't
seem to matter, but will mention I was compiling with this:

  gcc version 5.3.1 20160101 (Debian 5.3.1-5)

FAIL: encoding-error
====================
...
--- exp 2016-01-07 21:39:42.018646618 -0800
+++ out 2016-01-07 21:39:42.018646618 -0800
@@ -1 +1 @@
-Binary file in matches
+Pedro P\xe9rez
+ fail=1

Sorry I don't have time to investigate now.